Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## superwaba.ext.xplat.sql.db2e
Class BoundTimestamp

    java.lang.Object
      |
      +--superwaba.ext.xplat.sql.db2e.BoundTimestamp

Direct Known Subclasses:
  BoundDate, BoundTime

public class BoundTimestamp
extends Object

Field Summary
`protected byte[]` | `_C_TIMESTAMP_STRUCT`
`int` | `day`
`int` | `fraction`
`int` | `hour`
`int` | `minute`
`int` | `month`
`int` | `nullIndicator`
`int` | `second`
`int` | `year`

Constructor Summary
`BoundTimestamp()`
`BoundTimestamp(int year, int month, int day)`
`BoundTimestamp(int hour, int minute, int second, int fraction)`
`BoundTimestamp(int year, int month, int day, int hour, int minute, int second, int fraction)`

Method Summary
`void` | `translateFromDb2e()`
`void` | `translateToDb2e()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, toString, wait, wait`

Field Detail

### year

    public int year

### month

    public int month

### day

    public int day

### hour

    public int hour

### minute

    public int minute

### second

    public int second

### fraction

    public int fraction

### nullIndicator

    public int nullIndicator

### _C_TIMESTAMP_STRUCT

    protected byte[] _C_TIMESTAMP_STRUCT

Constructor Detail

### BoundTimestamp

    public BoundTimestamp()

### BoundTimestamp

    public BoundTimestamp(int year,
                          int month,
                          int day)

### BoundTimestamp

    public BoundTimestamp(int hour,
                          int minute,
                          int second,
                          int fraction)

### BoundTimestamp

    public BoundTimestamp(int year,
                          int month,
                          int day,
                          int hour,
                          int minute,
                          int second,
                          int fraction)

Method Detail

### translateToDb2e

    public void translateToDb2e()

### translateFromDb2e

    public void translateFromDb2e()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD